// Shorten a given content to a teaser portion and allow the user to view all of the contents by
// clicking on a link.

// To visually articulate the content as being previewed, there will be a fadeout effect at its
// bottom, directly followed by a button-style link providing access to the full-content resource.


.preview

    // flex container
    display flex
    flex-direction column
    flex-wrap nowrap
    justify-content flex-start
    align-items stretch


    &__content

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // overflow
        overflow hidden


        &:after

            // content
            content ''
            background-repeat repeat-x
            background-size contain

            // size
            width 100%
            height 100px

            // position
            position absolute
            bottom 0

            // Make underlying links clickable
            pointer-events none


            ^[0]--bg-paper &

                background-image url('../images/green-cup--white--gradient.png')


            ^[0]--bg-ink &

                background-image url('../images/green-cup--black--gradient.png')


    &__detail-link

        button()

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0
        align-self center

        // distance
        page_manager__responsive_row_gap(margin-top)

        // animation
        transition standard_transition


        ^[0]--bg-paper &

            // color
            background-color ink
            color paper


            &:hover

                // color
                background-color transparentify(ink, 60%)
                color white


        ^[0]--bg-ink &

            // color
            background-color paper
            color ink


            &:hover

                // color
                background-color transparentify(paper, 80%)
                color darken(ink, 75%)
